﻿using MimeKit;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Text.RegularExpressions;

namespace EMAILV2
{
    /// <summary>
    /// Logika interakcji dla klasy Wiadomosc.xaml
    /// </summary>
    public partial class Wiadomosc : Window
    {
        MimeMessage currentMessage;

        public Wiadomosc()
        {
            InitializeComponent();
        }

        public void Init(MimeMessage input)
        {
            Focus();

            currentMessage = input;

            if (currentMessage.HtmlBody == null)
            {
                Wiadomosc_WebBrowser.NavigateToString(currentMessage.TextBody);
            }
            else
            {
                string htmlMsg = currentMessage.HtmlBody;
                htmlMsg = Regex.Replace(htmlMsg, "iso-8859-2", "UTF-8");
                Wiadomosc_WebBrowser.NavigateToString(htmlMsg);
            }
        }
    }
}
