﻿using MailKit;
using MailKit.Net.Imap;
using MailKit.Net.Smtp;
using MimeKit;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace EMAILV2
{
    /// <summary>
    /// Logika interakcji dla klasy Wysylanie.xaml
    /// </summary>
    public partial class Wysylanie : Window
    {
        SmtpClient smtpClient = new SmtpClient();
        string login;
        string haslo;

        public Wysylanie()
        {
            InitializeComponent();
        }



        public void Init(string _login, string _haslo)
        {
            login = _login;
            haslo = _haslo;
            smtpClient = new SmtpClient();
            smtpClient.ServerCertificateValidationCallback = (s, c, h, e) => true;
            smtpClient.Connect("smtp.wp.pl", 465, true);
            smtpClient.Authenticate(_login, _haslo);
        }


        private void Button_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            MimeMessage newMessage = new MimeMessage();
            newMessage.From.Add(new MailboxAddress(login, login));
            newMessage.To.Add(new MailboxAddress(TextBox_Do.Text, TextBox_Do.Text));
            newMessage.Subject = TextBox_Temat.Text;

            newMessage.Body = new TextPart("plain")
            {
                Text = TextBox_Tresc.Text
            };

            smtpClient.Send(newMessage);
            smtpClient.Disconnect(true);

            Close();
        }
    }
}
