﻿using MailKit;
using MailKit.Net.Imap;
using MimeKit;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace EMAILV2
{
    /// <summary>
    /// Logika interakcji dla klasy MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        //stare Emails
        //List<MimeMessage> listaMailiDlaListBoxa = new List<MimeMessage>(); //stary Emails.Mail, oprocz zretardzonej nazwy byl bezuzyteczny
        event EventHandler MailEventHandler; //stare Emails.GotNewMail, znowu retarded
        MimeMessage[] tablicaMailiDlaListBoxa; //stara Emails.kolekcjaMailiDlaListBoxa
        Action download;

        //WP messages zostalo usuniete z pwodu bycia bezuzytecznym i posiadania mylacej nazwy
        ImapClient imapClient;  //stary messages.ImapClientA, takze stary imapClient
        IMailFolder currentFolder;  //stary inbox + Emails.folder
        int messageCount;           //stary MsgCount + curMsgCount
        int globalIterator;         //stary Emails.index. da sie zrobic to inaczej ale nie wiem jak (delegaty)
        bool flagaReady = true;     
        bool flagaStop = false;
        int j = 0; // iterator

        string loginW;
        string hasloW;


        public MainWindow()
        {
            InitializeComponent();    
        }

        public void Init(string login, string haslo)    //stary DownloadBefore(), zaktualizowany
        {
            bool status;

            loginW = login;
            hasloW = haslo;

            imapClient = new ImapClient();  //operacje z login.xaml.cs zostaly przeniesione tutaj
            imapClient.ServerCertificateValidationCallback = (s, c, h, e) => true; 
            imapClient.Connect("imap.wp.pl", 993, true);        //do dodanie nowej funkcji przy konstruowaniu innych typow skrzynek
            try
            {
                imapClient.Authenticate(login, haslo);
                status = true;
            }
            catch
            {
                MessageBox.Show("Nastąpił błąd logowania","Błąd");
                status = false;
            }

            UstawFoldery();
            OtworzFolder(imapClient.Inbox); 
            MailEventHandler += DispatcherHandler;

            if (status) Show();
        }

        private void UstawFoldery()
        {
            var personal = imapClient.GetFolder(imapClient.PersonalNamespaces[0]);
            foreach (var folder in personal.GetSubfolders(false))
            {
                ListBoxItem newFolder = new ListBoxItem()
                {
                    Content = folder.Name
                };
                var folderStyle = FindResource("stylFoldery");
                newFolder.Style = (Style)folderStyle;
                Foldery_ListBox.Items.Add(newFolder);
                newFolder.MouseDoubleClick += new MouseButtonEventHandler(Foldery_MouseDoubleClick);

                foreach (var xd in folder.GetSubfolders(false))
                {
                    ListBoxItem newFolder2 = new ListBoxItem() { Content = folder.Name + "/" + xd.Name};
                    newFolder2.Style = (Style)folderStyle;
                    newFolder2.MouseDoubleClick += new MouseButtonEventHandler(Foldery_MouseDoubleClick);
                    Foldery_ListBox.Items.Add(newFolder2);
                }
            }
        }

        private void OtworzFolder(IMailFolder input) //stare DownloadBefore + konstruktor Emails(). zmienia aktualny folder
        {
            

                if (currentFolder != null) currentFolder.Close(); // tak dla pewnosci
                Wiadomosci_ListBox.Items.Clear();
                currentFolder = input;
                currentFolder.Open(FolderAccess.ReadOnly);
                messageCount = currentFolder.Count;
                Total_Label.Content = "Liczba wiadomości: " + messageCount;
                tablicaMailiDlaListBoxa = new MimeMessage[messageCount];
                Current_Label.Content = "Aktualny folder:" + currentFolder.Name;
                j = 0;

        }

        private void Foldery_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            if (flagaReady == true)
            {
                ListBoxItem currentItem = (ListBoxItem)sender;
                OtworzFolder(imapClient.GetFolder(currentItem.Content.ToString()));
            }
        }

        private void GetNewMail() //stare Emails.GetNewMail
        {
            /*int j = 0;*/  //iterator
            int limit;
            if (messageCount - 10 < 0) limit = 0;
            else limit = messageCount - 10;

            for(int i = messageCount - 1; i>=limit; i--)
            {
                flagaReady = false;
                tablicaMailiDlaListBoxa[j] = currentFolder.GetMessage(i);
                globalIterator = j;
                j++;
                if (MailEventHandler != null) MailEventHandler(this, EventArgs.Empty);
                flagaReady = true;
            }
            messageCount -= 10;
        }

        private void DispatcherHandler(object sender, EventArgs e) //stare Emails_GotNewMail (wyjatkowo zwalona nazwa)
        {
            Application.Current.Dispatcher.Invoke(RefreshListBox, System.Windows.Threading.DispatcherPriority.Normal);
        }

        public void TaskHandler(object sender, RoutedEventArgs e)  //stare Pobieranie_Click2. eventHandler od przycisku pobierania
        {
            Action download = () => { GetNewMail(); };
            Task.Run(download);
        }

        private void RefreshListBox()       //stare refreshListBox(). dodaje wiadomosci do listboxa
        {
            ListBoxItem newMessage = new ListBoxItem()
            {
                Content = tablicaMailiDlaListBoxa[globalIterator].Subject
            };
            Wiadomosci_ListBox.Items.Add(newMessage);
            newMessage.MouseDoubleClick += new MouseButtonEventHandler(Wiadomosci_ClickHandler);
        }

        //stare Wiadomosci_Threading. dlaczego threading, skoro nigdy nie mialo nic wspolnego z watkami???
        public void Wiadomosci_ClickHandler(object sender, MouseButtonEventArgs e)
        {
            Wiadomosc oknoWiadomosci = new Wiadomosc();
            ListBoxItem currentItem = (ListBoxItem)sender;
            int w = Wiadomosci_ListBox.Items.IndexOf(currentItem);
            MimeMessage currentMessage = tablicaMailiDlaListBoxa[w];
            oknoWiadomosci.Init(currentMessage);
            
            oknoWiadomosci.Show();
        }

        private void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            //nic bo testowalem cos, potem nie dzialalo, a jak usunalem co tutaj bylo to zaczelo dzialac ponownie
            //niech zostanie, jak dziala to lepiej nie zmieniac
        }

        private void Wyslij_Button_Click(object sender, RoutedEventArgs e)
        {
            Wysylanie oknoWysylania = new Wysylanie();
            oknoWysylania.Init(loginW, hasloW);
            oknoWysylania.Show();
        }
    }









    //szukasz czegos?
}
